﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WisejWebPageApplication1.Models
{
    public partial class ViewPratiche
    {
        public int IDPratica { get; set; }
        public System.DateTime DataAttesaPagamentoPratiche { get; set; }
        public System.DateTime DataBaseProssimoSollecitoPratiche { get; set; }
        public string StatoPratica { get; set; }
        public string StatoEstesoPraticheStati { get; set; }
        public string TipologiaMortaPratica { get; set; }
        public string DescrizionePraticheTipologiaMorta { get; set; }
        public Nullable<int> IDFitter { get; set; }
        public string NomeFitter { get; set; }
        public Nullable<int> IDFitter2 { get; set; }
        public string NomeFitter2 { get; set; }
        public Nullable<int> IDIntervento { get; set; }
        public Nullable<System.DateTime> DataOraInterventi { get; set; }
        public Nullable<bool> PropostoInterventi { get; set; }
        public Nullable<bool> ConfermatoInterventi { get; set; }
        public string CittaPoint { get; set; }
        public Nullable<int> IDPoint { get; set; }
        public string NomePoint { get; set; }
        public string TargaVeicoli { get; set; }
        public string MarcaVeicoli { get; set; }
        public string ModelloVeicoli { get; set; }
        public Nullable<decimal> ScaricatoVeicoli { get; set; }
        public Nullable<int> IDCliente { get; set; }
        public string NomeRagSocClienti { get; set; }
        public string TipologiaClienti { get; set; }
        public string TipologiaPratica { get; set; }
        public Nullable<int> IDCompagnia { get; set; }
        public string NomeCompagnia { get; set; }
        public Nullable<int> IDAgenzia { get; set; }
        public string NomeAgenzia { get; set; }
        public string TipoVetroFatturaRiga { get; set; }
        public string NomeFornitore { get; set; }
        public string EurocodePratica { get; set; }
        public string NoteGiornalieroPratica { get; set; }
        public string NoteAmministrazionePratica { get; set; }
        public Nullable<System.DateTime> DataSinistroPratica { get; set; }
        public string TipologiaPoint { get; set; }
        public string TipologiaVeicolo { get; set; }
        public Nullable<decimal> MassimalePratica { get; set; }
        public Nullable<decimal> FranchigiaValorePratica { get; set; }
        public Nullable<decimal> FranchigiaPercentualePratica { get; set; }
        public Nullable<decimal> NettoVetroFatturaRiga { get; set; }
        public Nullable<decimal> ProvvigioneFitter { get; set; }
        public Nullable<decimal> RimborsoKmFitter { get; set; }
        public Nullable<decimal> ProvvigioneFitter2 { get; set; }
        public Nullable<decimal> RimborsoKmFitter2 { get; set; }
        public decimal TotaleImpCostiPratica { get; set; }
        public decimal TotaleCostiPratica { get; set; }
        public decimal TotaleImpVenditaPratica { get; set; }
        public decimal TotaleVenditaPratica { get; set; }
        public Nullable<decimal> PrevLiquidazionePratica { get; set; }
        public decimal TotaleMarginePrevistoPratica { get; set; }
        public Nullable<decimal> LiquidatoEffettivoPraticheLiquidato { get; set; }
        public decimal TotaleMargineEffettivoPratiche { get; set; }
        public Nullable<int> IDFattura { get; set; }
        public string NumeroFICFattura { get; set; }
        public Nullable<System.DateTime> DataFattura { get; set; }
        public Nullable<System.DateTime> DataInvioFattura { get; set; }
        public string DestinazioneInvioFattura { get; set; }
        public Nullable<System.DateTime> DataLiquidatoPraticaLiquidato { get; set; }
        public Nullable<bool> RecuperoIvaPraticaLiquidato { get; set; }
        public Nullable<System.DateTime> DataRecuperoIva { get; set; }
        public Nullable<System.DateTime> DataInvioRecuperoIva { get; set; }
        public string DestinatarioInvioRecuperoIva { get; set; }
        public Nullable<int> IDNotaCreditoTradizionale { get; set; }
        public Nullable<decimal> ValoreNettoFICNoteCreditoTradizionali { get; set; }
        public Nullable<System.DateTime> DataNoteCreditoTradizionali { get; set; }
        public Nullable<System.DateTime> DataInvioNoteCreditoTradizionali { get; set; }
        public string DestinatarioInvioNoteCreditoTradizionali { get; set; }
        public Nullable<int> IDNotaCreditoPratimoniale { get; set; }
        public Nullable<decimal> ValoreNettoNoteCreditoPatrimoniali { get; set; }
        public Nullable<System.DateTime> DataNoteCreditoPatrimoniali { get; set; }
        public Nullable<System.DateTime> DataInvioNoteCreditoPatrimoniali { get; set; }
        public string DestinatarioInvioNoteCreditoPatrimoniali { get; set; }
        public decimal StornoNotaPercenutalePratica { get; set; }
        public Nullable<bool> SollecitoPresente { get; set; }
        public Nullable<bool> GaranziaPresente { get; set; }
        public Nullable<bool> PreventivoPresente { get; set; }
        public bool Abilitato { get; set; }
        public System.DateTime DataPratica { get; set; }
        public System.DateTime UltimaModificaPratica { get; set; }
        public string NoteSpedizione { get; set; }
        public Nullable<System.DateTime> DataOrdineSpedizione { get; set; }
        public string ControlPraticheStati { get; set; }
        public string NumeroSinistro { get; set; }
        public string PraticaTipoPagamento { get; set; }
    }
}